"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vue = _interopRequireDefault(require("vue"));

var _vueRouter = _interopRequireDefault(require("vue-router"));

var _Appointment = _interopRequireDefault(require("../views/Appointment.vue"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

_vue["default"].use(_vueRouter["default"]);

var routes = [{
  path: "/",
  name: "Queue",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/Queue.vue"));
    });
  },
  meta: {
    title: '美发预约系统'
  }
}, {
  path: "/apply",
  name: "Apply",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/Apply.vue"));
    });
  },
  meta: {
    title: '美发预约系统'
  }
}, {
  path: "/applyreal",
  name: "Applyreal",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/Applyreal.vue"));
    });
  },
  meta: {
    title: '美发预约系统'
  }
}, {
  path: "/appointment",
  name: "Appointment",
  component: _Appointment["default"],
  meta: {
    title: '美发预约系统'
  }
}, {
  path: '/actionSheet',
  name: "ActionSheet",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/ActionSheet.vue"));
    });
  },
  meta: {
    title: '汽车保险'
  }
}, {
  path: '/menuDiet',
  name: "MenuDiet",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/MenuDiet.vue"));
    });
  },
  meta: {
    title: '菜单'
  }
}, {
  path: '/pushMenu',
  name: "PushMenu",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/PushMenu.vue"));
    });
  },
  meta: {
    title: '添加菜单'
  }
}, // 排行
{
  path: '/ranking',
  name: "Ranking",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/ranking/index.vue"));
    });
  },
  meta: {
    title: '各频率频道日推数据'
  }
}, // 咖啡
{
  path: '/coffee',
  name: "Coffee",
  meta: {
    title: '咖啡'
  },
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/coffee/index.vue"));
    });
  },
  children: [{
    path: "orders",
    name: "Orders",
    meta: {
      title: '订单列表'
    },
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/coffee/orders/index.vue"));
      });
    }
  }, {
    path: "",
    name: "Drinks",
    meta: {
      title: '点餐'
    },
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/coffee/drinks/index.vue"));
      });
    }
  }]
}, {
  path: "/coffeeOrder",
  name: "CoffeeOrder",
  meta: {
    title: '订单详情'
  },
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/coffee/order/index.vue"));
    });
  }
}, {
  path: "/coffeeAddList",
  name: "CoffeeAddList",
  meta: {
    title: '地址列表'
  },
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/coffee/contacts/list.vue"));
    });
  }
}, {
  path: "/coffeeEdit",
  name: "CoffeeEdit",
  meta: {
    title: '编辑地址'
  },
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/coffee/contacts/edit_add.vue"));
    });
  }
}]; // http://djweb.smcic.net/hair/index.html#/appointment

var router = new _vueRouter["default"]({
  routes: routes
});
var _default = router;
exports["default"] = _default;