import Vue from "vue";
import VueRouter from "vue-router";
Vue.use(VueRouter);

import Appointment from "../views/Appointment.vue";

import coffee from "./coffee";
import report from "./report";
// http://djweb.smcic.net/hair/index.html#/appointment
const router = new VueRouter({
  mode: "hash",
  routes: [
    {
      path: "/",
      name: "Queue",
      component: () =>
        import(/* webpackChunkName: "hair" */ "../views/Queue.vue"),
      meta: {
        title: "美发预约系统",
      },
    },
    {
      path: "/apply",
      name: "Apply",
      component: () =>
        import(/* webpackChunkName: "hair" */ "../views/Apply.vue"),
      meta: {
        title: "美发预约系统",
      },
    },
    {
      path: "/applyreal",
      name: "Applyreal",
      component: () =>
        import(/* webpackChunkName: "hair" */ "../views/Applyreal.vue"),
      meta: {
        title: "美发预约系统",
      },
    },
    {
      path: "/appointment",
      name: "Appointment",
      component: Appointment,
      meta: {
        title: "美发预约系统",
      },
    },
    {
      path: "/actionSheet",
      name: "ActionSheet",
      component: () =>
        import(
          /* webpackChunkName: "actionSheet" */ "../views/ActionSheet.vue"
        ),
      meta: {
        title: "汽车保险",
      },
    },
    {
      path: "/menuDiet",
      name: "MenuDiet",
      component: () =>
        import(/* webpackChunkName: "menu" */ "../views/MenuDiet.vue"),
      meta: {
        title: "菜单",
      },
    },
    {
      path: "/menuDiet1",
      name: "MenuDiet1",
      component: () =>
        import(/* webpackChunkName: "menu" */ "../views/MenuDiet1.vue"),
      meta: {
        title: "菜单",
      },
    },
    {
      path: "/pushMenu",
      name: "PushMenu",
      component: () =>
        import(/* webpackChunkName: "menu" */ "../views/PushMenu.vue"),
      meta: {
        title: "添加菜单",
      },
    },
    // 排行
    {
      path: "/ranking",
      name: "Ranking",
      component: () =>
        import(/* webpackChunkName: "ranking" */ "../views/ranking/index.vue"),
      meta: {
        title: "各频率频道日推数据",
      },
    },
    //    咖啡
    ...coffee,
    //   周报
    ...report,
  ],
});

export default router;
